# -*- mode: ruby -*-
# vim: set ft=ruby :

Vagrant.configure(2) do |config|
  config.vm.provider "virtualbox" do |vb|
    vb.customize ["modifyvm", :id, "--cableconnected1", "on"]
  end
  config.vm.box = "bento/ubuntu-16.04"
  config.vm.hostname = "nelson.local"
  config.vm.network "private_network", ip: "192.168.0.10"
  config.vm.network "forwarded_port", guest: 8000, host: 8000
  #config.vm.network "forwarded_port", guest: 5432, host: 5432
  config.vm.provision 'ansible' do |ansible|
    ansible.config_file = 'ansible/ansible.cfg'
    ansible.playbook = 'ansible/playbooks/dev.yml'
    ansible.inventory_path = 'ansible/inventory'
  #  ansible.tags = 'pgr'
    ansible.limit = 'vagrant'
    ansible.become = true
  end
end

